[ Identification | Description | Input parameters | Output parameters | Links ]

# The `TOFLambda_monitor` Component

Time-of-flight/wavelength monitor.

## Identification

- Author: KL
- Origin: Risoe
- Date: September 28, 2001
- Version: 1.11

## Description

    2D detector for intensity as a function of both time-of-flight
    and wavelength.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nlam | 1 | Number of bins in wavelength |
nt | 1 | Number of bins in TOF |
filename | string | Name of file in which to store the detector image |
t_0 | us | Minimum time |
t_1 | us | Maximum time |
xmin | m | Lower x bound of detector opening | 0
xmax | m | Upper x bound of detector opening | 0
ymin | m | Lower y bound of detector opening | 0
ymax | m | Upper y bound of detector opening | 0
xwidth | m | Width/diameter of detector (x). Overrides xmin,xmax. | 0
yheight | m | Height of detector (y). Overrides ymin,ymax. | 0
lambda_0 | AA | Minimum wavelength detected |
lambda_1 | AA | Maximum wavelength detected |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
tt_0 |  |  |
tt_1 |  |  |
TOFL_N |  |  |
TOFL_p |  |  |
TOFL_p2 |  |  |

## Links

- Source code for `TOFLambda_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]